#
# Conditional build:
%bcond_with		gtk3		# build GTK+3 disables GTK+2
%bcond_without		gtk2	# build with GTK+2

%if %{with gtk3}
%undefine	with_gtk2
%endif

Summary:	Lightweight task manager
Name:		lxtask
Version:	0.1.4
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.gz
# Source0-md5:	c4ab47d03d41a88696d64d3f1e78cf7f
URL:		http://wiki.lxde.org/en/LXTask
BuildRequires:	gettext-devel
%{?with_gtk2:BuildRequires:	gtk+2-devel >= 2:2.12.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel}
BuildRequires:	intltool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LXTask - lightweight and desktop-independent task manager derived from
xfce4-taskmanager with all dependencies on xfce removed, new features,
and some improvement of the user interface.

%prep
%setup -q

%build
%configure \
	%{?with_gtk3:--enable-gtk3}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# duplicate of ur
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK
# unsupported by glibc
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/frp

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/lxtask
%{_desktopdir}/lxtask.desktop
%changelog
* Wed Jul 17 2013 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/lxtask.git;a=log;h=master

* Fri Aug 19 2011 ankry <ankry@pld-linux.org> 0058ad6
- comments

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 3f9824f
- up to 0.1.4, gtk3 bcond

* Tue Sep 14 2010 Elan Ruusamäe <glen@pld-linux.org> 58d26b5
- more precise urls

* Tue Sep 14 2010 Elan Ruusamäe <glen@pld-linux.org> d95271e
- ws cleanup

* Fri Jul 30 2010 Karol Krenski <charles@pld-linux.org> 10f1476
- BR: gettext-devel, intltool, pkgconfig

* Thu Jul 29 2010 witekfl <witekfl@pld-linux.org> 4f715e7
- unneeded BR

* Thu Jul 29 2010 witekfl <witekfl@pld-linux.org> bf580f0
- new

